%define releasebase 1
#Use as deafults if no command line inputs
%define as_limulus 1
# define AFS defines here (only used if "--with afs" is given to rpmbuild):
%define afsarch amd
%define afsroot /afs/cad/hpc

# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
%{?_with_afs: %{expand: %%define as_afs 1}}
#pick the target
%if "1" == "%{as_basement}"
%define targetbase Basement
%else
%if "1" == "%{as_afs}"
%define targetbase afs_%{afsarch}
%else
%define targetbase Limulus
%endif
%endif

Name: pdsh
Version: 2.22
Group: %{targetbase}/Admin
Release: %{releasebase}.%{targetbase}
Summary: Parallel remote shell program.
License: none
URL: http://sourceforge.net/projects/pdsh/
Group: System Environment/Base
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: readline-devel
Vendor: Basement-Supercomputing.com


%description
Pdsh is a high-performance, parallel remote shell utility. It has built-in, thread-safe clients for Berkeley and Kerberos V4 rsh and can call SSH externally (though with reduced performance). Pdsh uses a "sliding window" parallel algorithm to conserve socket resources on the initiating node and to allow progress to continue while timeouts occur on some connections.

%prep
%setup 

%build
%define  libpath   /usr/lib64
%ifnarch x86_64
%define libpath     /usr/lib
%endif
# note assumes /etc/perceus/nodes
./configure --prefix=/usr  --libdir=%{libpath} --with-readline --without-rsh --with-ssh --with-machines=/etc/perceus/nodes
make

%install
#re-configure so install goes to $RPM_BUILD_ROOT
./configure --prefix=$RPM_BUILD_ROOT/usr  --libdir=$RPM_BUILD_ROOT/%{libpath} --with-readline --without-rsh --with-ssh --with-machines=/etc/perceus/nodes

make install
# note assumes /etc/perceus/nodes
/bin/mkdir -p  %{buildroot}/etc/profile.d
cat <<EOF > %{buildroot}/etc/profile.d/pdsh.sh
if [ -e /etc/perceus/nodes ]; then
  export WCOLL=/etc/perceus/nodes
fi
EOF
cat <<EOF > %{buildroot}/etc/profile.d/pdsh.csh
if(  -e /etc/perceus/nodes ) then
setenv WCOLL /etc/perceus/nodes
endif
EOF

%clean
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc README ChangeLog DISCLAIMER README.KRB4 README.modules README.QsNet
%attr(4755, root, root) /usr/bin/pdsh
%attr(4755, root, root) /usr/bin/pdcp 
%attr(4755, root, root) /usr/bin/rpdcp
/usr/bin/dshbak
/usr/lib*
/usr/man/man1/pdsh.1.gz
/usr/man/man1/pdcp.1.gz
/usr/man/man1/dshbak.1.gz
/usr/man/man1/rpdcp.1.gz
/etc/profile.d
%post
rm -f /var/cache/man/cat1/pdsh.1.*
rm -f /var/cache/man/cat1/pdcp.1.*


%changelog
* Wed Jan 09 2011 Douglas Eadline <deadline@basement-supercomputing.com>
- created for version 2.22 and for basement rpm scheme
